Skip to main content
GET
/
accounts
/
{accountId}
/
virtual-bank-accounts
List virtual bank accounts
curl --request GET \
  --url https://api.venlyfinance.com/api/v1/accounts/{accountId}/virtual-bank-accounts \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "bankAccountType": "EUR_SEPA",
      "name": "<string>",
      "status": "ACTIVE",
      "currency": "EUR",
      "targetCryptocurrency": "USDC",
      "iban": "DE89370400440532013000",
      "bic": "DEUTDEDB",
      "accountNumber": "<string>",
      "routingNumber": "<string>",
      "bankName": "<string>",
      "beneficiaryName": "<string>",
      "referenceCode": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "pageNumber": 123,
    "pageSize": 123,
    "numberOfElements": 123,
    "numberOfPages": 123,
    "hasNextPage": true,
    "hasPreviousPage": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountId
string<uuid>
required

Query Parameters

page
integer<int32>
default:1

Page number (1-based indexing)

Required range: x >= 1
size
integer<int32>
default:100

Number of items per page

Required range: x >= 1
bankAccountType
enum<string>

Type of bank account determining the payment rails. Release 1: Only EUR_SEPA is supported. Future releases will add USD_WIRE, USD_ACH, USD_SWIFT, GBP_FPS, GBP_CHAPS, OTHER_SWIFT.

Available options:
EUR_SEPA,
USD_WIRE,
USD_ACH,
USD_SWIFT,
GBP_FPS,
GBP_CHAPS,
OTHER_SWIFT
status
enum<string>
Available options:
ACTIVE,
EXPIRED,
SUSPENDED

Response

List of virtual bank accounts

success
boolean

Indicates whether the request was successful

result
object[]
pagination
object

Pagination metadata